#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Orient_Pid="chronicallOrientPid"
export Temp_Chronicall_Orient_Pid="tempChronicallOrientPid"

#Shutdown
echo Attempting to stop Chronicall OrientDB
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Orient_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Orient_Pid"` > "$Script_Dir"/chronicallOrientProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallOrientProcessAliveTest.txt ]
	then
		echo Stopping Chronicall OrientDB \(pid `cat "$Script_Dir"/"$Chronicall_Orient_Pid"`\)
		cat "$Script_Dir"/"$Chronicall_Orient_Pid" > "$Script_Dir"/"$Temp_Chronicall_Orient_Pid"
	else
		echo Chronicall OrientDB is not running
	fi
	rm "$Script_Dir"/"$Chronicall_Orient_Pid"
	rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
else
	echo Chronicall OrientDB is not running
fi

#Startup
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Orient_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Orient_Pid"` > "$Script_Dir"/chronicallOrientProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallOrientProcessAliveTest.txt ]
	then
		rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
		echo Chronicall OrientDB is already running
	else
		echo Starting Chronicall OrientDB
		rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
		ulimit -n 30000
		nohup "$Script_Dir"/ChronicallDatabaseOrientDB > /dev/null 2>&1&
		echo "$!" > "$Script_Dir"/"$Chronicall_Orient_Pid"
	fi
else
	echo Starting Chronicall OrientDB
	ulimit -n 30000
	nohup "$Script_Dir"/ChronicallDatabaseOrientDB > /dev/null 2>&1&
	echo "$!" > "$Script_Dir"/"$Chronicall_Orient_Pid"
fi

#Have to kill the old process after the first for some reason?
if [ -s "$Script_Dir"/"$Temp_Chronicall_Orient_Pid" ]
then
	kill -15 `cat "$Script_Dir"/"$Temp_Chronicall_Orient_Pid"`
	rm "$Script_Dir"/"$Temp_Chronicall_Orient_Pid"
fi